#ifndef bqtConnectionHH
#define bqtConnectionHH

#include <netinet/in.h> /* for sockaddr_in */
#include <sys/types.h>  /* for socklen_t   */

struct Connection
{
    struct sockaddr_in Addr;
    socklen_t          AddrLen;
    int                DestPort;
    
    /* Note: If you add more fields, remember
     * to update the connectioncache key mechanism.
     */
    
    bool operator== (const Connection &conn) const;
    bool operator< (const Connection &conn) const;
};

#endif
